> ## Documentation Index
> Fetch the complete documentation index at: https://docs.whop.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update forum

> Update moderation and notification settings for a forum, such as who can post, who can comment, and email notification preferences.

Required permissions:
 - `forum:moderate`



## OpenAPI

````yaml /openapi/api-v1-stable.json patch /forums/{id}
openapi: 3.1.0
info:
  description: >-
    The Whop REST API. Please see
    https://docs.whop.com/developer/api/getting-started for more details.
  termsOfService: https://whop.com/tos-developer-api/
  title: Whop API
  version: 1.0.0
  x-api-version-date: 2026-07-08-1
servers:
  - description: Production Whop API
    url: https://api.whop.com/api/v1
  - description: Sandbox Whop API
    url: https://sandbox-api.whop.com/api/v1
security: []
tags:
  - description: Products
    name: Products
  - description: Payments
    name: Payments
  - description: Refunds
    name: Refunds
  - description: Disputes
    name: Disputes
  - description: Dispute alerts
    name: Dispute alerts
  - description: Resolution center cases
    name: Resolution center cases
  - description: Checkout configurations
    name: Checkout configurations
  - description: Setup intents
    name: Setup intents
  - description: Payment methods
    name: Payment methods
  - description: Invoices
    name: Invoices
  - description: Promo codes
    name: Promo codes
  - description: Card transactions
    name: Card transactions
  - description: Ledger accounts
    name: Ledger accounts
  - description: Withdrawals
    name: Withdrawals
  - description: Payout methods
    name: Payout methods
  - description: Verifications
    name: Verifications
  - description: Identity profiles
    name: Identity profiles
  - description: Payout accounts
    name: Payout accounts
  - description: Topups
    name: Topups
  - description: Companies
    name: Companies
  - description: Authorized users
    name: Authorized users
  - description: Fee markups
    name: Fee markups
  - description: Members
    name: Members
  - description: Memberships
    name: Memberships
  - description: Leads
    name: Leads
  - description: Entries
    name: Entries
  - description: Shipments
    name: Shipments
  - description: Reviews
    name: Reviews
  - description: Company token transactions
    name: Company token transactions
  - description: Affiliates
    name: Affiliates
  - description: Experiences
    name: Experiences
  - description: Forums
    name: Forums
  - description: Forum posts
    name: Forum posts
  - description: Chat channels
    name: Chat channels
  - description: Support channels
    name: Support channels
  - description: Messages
    name: Messages
  - description: Reactions
    name: Reactions
  - description: Dm members
    name: Dm members
  - description: Dm channels
    name: Dm channels
  - description: Notifications
    name: Notifications
  - description: Courses
    name: Courses
  - description: Course chapters
    name: Course chapters
  - description: Course lessons
    name: Course lessons
  - description: Course students
    name: Course students
  - description: Course lesson interactions
    name: Course lesson interactions
  - description: Apps
    name: Apps
  - description: Webhooks
    name: Webhooks
  - description: App builds
    name: App builds
  - description: Access tokens
    name: Access tokens
  - description: Account links
    name: Account links
  - description: Files
    name: Files
  - description: Ai chats
    name: Ai chats
  - description: Bounties
    name: Bounties
  - description: Stats
    name: Stats
  - description: Conversions
    name: Conversions
  - description: Ad reports
    name: Ad reports
paths:
  /forums/{id}:
    patch:
      tags:
        - Forums
      summary: Update forum
      description: >-
        Update moderation and notification settings for a forum, such as who can
        post, who can comment, and email notification preferences.


        Required permissions:
         - `forum:moderate`
      operationId: updateForum
      parameters:
        - description: >-
            The unique identifier of the forum to update. Accepts either an
            experience ID (e.g. 'exp_xxxxx') or a forum ID.
          in: path
          name: id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              description: Parameters for UpdateForum
              properties:
                banned_words:
                  description: >-
                    A list of words that are automatically blocked from posts in
                    this forum. For example, ['spam', 'scam'].
                  items:
                    description: >-
                      Represents textual data as UTF-8 character sequences. This
                      type is most often used by GraphQL to represent free-form
                      human-readable text.
                    type: string
                  type:
                    - array
                    - 'null'
                banner_image:
                  description: >-
                    The banner image displayed at the top of the forum page.
                    Pass null to remove the existing banner.
                  properties:
                    id:
                      description: The ID of an existing file object.
                      type: string
                  required:
                    - id
                  title: FileInputWithId
                  type:
                    - object
                    - 'null'
                email_notification_preference:
                  description: >-
                    Controls how email notifications are sent to members when
                    new posts are created in this forum.
                  oneOf:
                    - $ref: '#/components/schemas/ForumEmailNotificationPreferences'
                    - type: 'null'
                who_can_comment:
                  description: >-
                    Controls which roles are allowed to comment on posts in this
                    forum.
                  oneOf:
                    - $ref: '#/components/schemas/ForumWhoCanCommentTypes'
                    - type: 'null'
                who_can_post:
                  description: >-
                    Controls which roles are allowed to create new posts in this
                    forum.
                  oneOf:
                    - $ref: '#/components/schemas/ForumWhoCanPostTypes'
                    - type: 'null'
              required: []
              type: object
        required: false
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Forum'
          description: A successful response
        '400':
          content:
            application/json:
              example:
                error:
                  code: parameter_missing
                  message: 'Missing required parameter: amount.'
                  param: amount
                  type: invalid_request_error
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Bad request
        '401':
          content:
            application/json:
              example:
                error:
                  message: Invalid or missing API key
                  type: unauthorized
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Unauthorized
        '403':
          content:
            application/json:
              example:
                error:
                  message: You do not have permission to access this resource
                  type: forbidden
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Forbidden
        '404':
          content:
            application/json:
              example:
                error:
                  message: Resource not found
                  type: not_found
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Not found
        '422':
          content:
            application/json:
              example:
                error: null
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Verification required
        '429':
          content:
            application/json:
              example:
                error: null
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Too many requests
        '500':
          content:
            application/json:
              example:
                error:
                  message: An unexpected error occurred
                  type: internal_server_error
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Internal server error
      security:
        - bearerAuth:
            - forum:moderate
components:
  schemas:
    ForumEmailNotificationPreferences:
      description: Email notification preference option for a forum feed
      enum:
        - all_admin_posts
        - only_weekly_summary
        - none
      type: string
    ForumWhoCanCommentTypes:
      description: Who can comment on a forum feed
      enum:
        - everyone
        - admins
      type: string
    ForumWhoCanPostTypes:
      description: Who can post on a forum feed
      enum:
        - everyone
        - admins
      type: string
    Forum:
      description: >-
        A discussion forum where members can create posts, comment, and react,
        belonging to an experience.
      properties:
        email_notification_preference:
          $ref: '#/components/schemas/ForumEmailNotificationPreferences'
          description: >-
            The email notification setting that controls which posts trigger
            email alerts. One of: all_admin_posts, only_weekly_summary, none.
        experience:
          description: The parent experience that this forum belongs to.
          properties:
            id:
              description: The unique identifier for the experience.
              example: exp_xxxxxxxxxxxxxx
              type: string
            name:
              description: >-
                The display name of this experience shown to users in the
                product navigation. Maximum 255 characters.
              example: Trading Signals Chat
              type: string
          required:
            - id
            - name
          type: object
        id:
          description: The unique identifier for the entity
          type: string
        who_can_comment:
          $ref: '#/components/schemas/ForumWhoCanCommentTypes'
          description: >-
            The permission level controlling who can comment on posts. One of:
            everyone, admins.
        who_can_post:
          $ref: '#/components/schemas/ForumWhoCanPostTypes'
          description: >-
            The permission level controlling who can create new posts. One of:
            everyone, admins.
      required:
        - id
        - experience
        - who_can_post
        - who_can_comment
        - email_notification_preference
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: auth-scheme
      description: >-
        A company API key, company scoped JWT, app API key, or user OAuth token.
        You must prepend your key/token with the word 'Bearer', which will look
        like `Bearer ***************************`
      scheme: bearer
      type: http

````